Index: trunk/source/processes/hadronic/models/parton_string/diffraction/src/G4FTFModel.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/diffraction/src/G4FTFModel.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/diffraction/src/G4FTFModel.cc	(revision 1228)
@@ -734,47 +646,13 @@
                                          FirstString, SecondString,
                                          theParameters);
-//G4cout<<"1str 2str "<<FirstString<<" "<<SecondString<<G4endl;
+
 	    if(FirstString  != 0) strings->push_back(FirstString);
             if(SecondString != 0) strings->push_back(SecondString);
-
-//StringN++; G4cout<<"Proj string "<<strings->size()<<G4endl;
 	}
-//G4cout<<"Targ strings ------------------------------"<<G4endl;
-	for ( ahadron=0; ahadron < targets.size() ; ahadron++)
-	{
-//G4cout<<"targets[ahadron]->GetStatus() "<<targets[ahadron]->GetStatus()<<G4endl;
-            if(targets[ahadron]->GetStatus() == 1)   // Uzhi 17.07.09
-            {
-	     G4bool isProjectile=false;
-             FirstString=0; SecondString=0;
-             theExcitation->CreateStrings(targets[ahadron], isProjectile,
-                                          FirstString, SecondString,
-                                          theParameters);
-	     if(FirstString  != 0) strings->push_back(FirstString);
-             if(SecondString != 0) strings->push_back(SecondString);
-
-//StringN++; G4cout<<"Targ string"<<StringN<<G4endl;
-            } else
-            {
-             if(targets[ahadron]->GetStatus() == 0)// Uzhi 17.07.09 Nucleon was rejected
-             {
-              G4VSplitableHadron * aHit=0;          // Uzhi 16.07.09
-              TargetNucleons[ahadron]->Hit(aHit);   // Uzhi 16.07.09
-             }
-            }
-	}
-
-//G4cout<<"Proj + Targ string "<<strings->size()<<G4endl;
-//G4cout<<"Involv strings NumberOfInvolvedNucleon "<<NumberOfInvolvedNucleon<<G4endl;
+
 	for (G4int ahadron=0; ahadron < NumberOfInvolvedNucleon ; ahadron++)
 	{
-/*
-G4cout<<"ahadron "<<ahadron<<" Status "<<
-TheInvolvedNucleon[ahadron]->GetSplitableHadron()->GetStatus()<<
-TheInvolvedNucleon[ahadron]->GetSplitableHadron()->Get4Momentum()<<G4endl;
-*/
-            if(TheInvolvedNucleon[ahadron]->GetSplitableHadron()->GetStatus() == 2)
-            {
-//StringN++; G4cout<<"Invol string "<<StringN<<G4endl;
+            if(TheInvolvedNucleon[ahadron]->GetSplitableHadron()->GetStatus() !=0) //== 2)
+            {
 	     G4bool isProjectile=false;
              FirstString=0; SecondString=0;
@@ -786,30 +664,9 @@
 	     if(FirstString  != 0) strings->push_back(FirstString);
              if(SecondString != 0) strings->push_back(SecondString);
-
-//	     strings->push_back(theExcitation->String(
-//                      TheInvolvedNucleon[ahadron]->GetSplitableHadron(), 
-//                                                           isProjectile));
-            } 
-//G4cout<<"Proj + Targ+Involved string "<<strings->size()<<G4endl;
-/*
-else
-            {
-G4cout<<"Else ????????????"<<G4endl; 
-             if(targets[ahadron]->GetStatus() == 0)// Uzhi 17.07.09 Nucleon was rejected
-             {
-              G4VSplitableHadron * aHit=0;          // Uzhi 16.07.09
-              TargetNucleons[ahadron]->Hit(aHit);   // Uzhi 16.07.09
-             }
             }
-*/
 	}
-
-//G4int Uzhi; G4cin>>Uzhi;
 
 	std::for_each(primaries.begin(), primaries.end(), DeleteVSplitableHadron());
 	primaries.clear();
-
-	std::for_each(targets.begin(), targets.end(), DeleteVSplitableHadron());
-	targets.clear();
 
 	return strings;
@@ -826,5 +683,6 @@
         {
          G4Nucleon * aNucleon = TheInvolvedNucleon[i];
-         G4LorentzVector tmp=aNucleon->Get4Momentum()-DeltaPResidualNucleus;
+//         G4LorentzVector tmp=aNucleon->Get4Momentum()-DeltaPResidualNucleus;
+         G4LorentzVector tmp=-DeltaPResidualNucleus;
          aNucleon->SetMomentum(tmp);
          aNucleon->SetBindingEnergy(DeltaExcitationE);
@@ -837,8 +695,11 @@
 {            //  @@ this method is used in FTFModel as well. Should go somewhere common!
 	
-	G4double Pt2;
-        Pt2 = -AveragePt2 * std::log(1. + G4UniformRand() * 
+	G4double Pt2(0.);
+        if(AveragePt2 <= 0.) {Pt2=0.;}
+        else
+        {
+         Pt2 = -AveragePt2 * std::log(1. + G4UniformRand() * 
                 (std::exp(-maxPtSquare/AveragePt2)-1.)); 
-	
+	}
 	G4double Pt=std::sqrt(Pt2);
 	G4double phi=G4UniformRand() * twopi;
Index: trunk/source/processes/hadronic/models/parton_string/diffraction/src/G4FTFParameters.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/diffraction/src/G4FTFParameters.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/diffraction/src/G4FTFParameters.cc	(revision 1228)
@@ -1,3 +1,4 @@
-//********************************************************************
+//
+// ********************************************************************
 // * License and Disclaimer                                           *
 // *                                                                  *
@@ -24,6 +25,6 @@
 //
 //
-// $Id: G4FTFParameters.cc,v 1.11 2009/10/25 10:50:54 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4FTFParameters.cc,v 1.13 2009/12/16 17:51:15 gunter Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
@@ -31,5 +32,5 @@
 
 #include "G4ios.hh"
-#include <utility>                                        // Uzhi 29.03.08
+#include <utility>                                        
 
 G4FTFParameters::G4FTFParameters()
@@ -231,17 +232,10 @@
               SetProjMinNonDiffMass(0.3);                 // GeV
               SetProbabilityOfProjDiff(0.*0.62*std::pow(s/GeV/GeV,-0.51)); // 40/32 X-dif/X-inel
-//G4cout<<"Params "<<0.6*0.62*std::pow(s/GeV/GeV,-0.51)<<G4endl;
+
               SetTarMinDiffMass(1.1);                     // GeV
               SetTarMinNonDiffMass(1.1);                  // GeV
-//G4cout<<"       "<<2.7*0.62*std::pow(s/GeV/GeV,-0.51)<<G4endl; // was 2
-//G4int Uzhi; G4cin>>Uzhi;
+
               SetProbabilityOfTarDiff(2.*0.62*std::pow(s/GeV/GeV,-0.51)); // 40/32 X-dif/X-inel
 
-/*
-SetProjMinDiffMass(0.5);
-SetProjMinNonDiffMass(0.3);   // Uzhi 12.06.08
-SetProbabilityOfProjDiff(0.05); 
-SetProbabilityOfTarDiff(0.05);
-*/
               SetAveragePt2(0.3);                         // GeV^2
              }
Index: trunk/source/processes/hadronic/models/parton_string/diffraction/src/G4FTFParticipants.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/diffraction/src/G4FTFParticipants.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/diffraction/src/G4FTFParticipants.cc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4FTFParticipants.cc,v 1.15 2009/10/25 10:50:54 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4FTFParticipants.cc,v 1.16 2009/11/25 09:14:03 vuzhinsk Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ------------------------------------------------------------
@@ -72,5 +72,5 @@
 
 void G4FTFParticipants::GetList(const G4ReactionProduct  &thePrimary,
-                                      G4FTFParameters    *theParameters) // Uzhi 29.03.08
+                                      G4FTFParameters    *theParameters) 
 {
     
@@ -96,33 +96,18 @@
 	G4double impactY = theImpactParameter.second;
 
-        G4ThreeVector thePosition(impactX, impactY, -DBL_MAX);     //Uzhi 24 July 09 
-        primarySplitable->SetPosition(thePosition);                //Uzhi 24 July 09
+        G4ThreeVector thePosition(impactX, impactY, -DBL_MAX);     
+        primarySplitable->SetPosition(thePosition);                
 
 	theNucleus->StartLoop();
 	G4Nucleon * nucleon;
-//G4int InterNumber=0;           // Uzhi
-G4int NucleonNumber(0);        // Uzhi
-//while ( (nucleon=theNucleus->GetNextNucleon())&& (InterNumber < 1) ) // Uzhi
-	while ( (nucleon=theNucleus->GetNextNucleon()) ) // Uzhi
+
+	while ( (nucleon=theNucleus->GetNextNucleon()) ) 
 	{
-//G4cout<<"Nucl# "<<NucleonNumber<<G4endl; // Vova
     	   G4double impact2= sqr(impactX - nucleon->GetPosition().x()) +
                              sqr(impactY - nucleon->GetPosition().y());
 
-//	   if ( theParameters->GetInelasticProbability(impact2/fermi/fermi) // Uzhi 29.03.08 
-	   if ( theParameters->GetProbabilityOfInteraction(impact2/fermi/fermi) // Uzhi 29.03.08 
+	   if ( theParameters->GetProbabilityOfInteraction(impact2/fermi/fermi) 
 		> G4UniformRand() )
 	   {
-//InterNumber++;
-/*                                                    // Uzhi 20 July 2009
-	   	if ( nucleusNeedsShift ) 
-	   	{			// on the first hit, shift nucleus 
-	   	     nucleusNeedsShift = false;
-	   	     theNucleus->DoTranslation(G4ThreeVector(-1*impactX,-1*impactY,0.));
-	   	     impactX=0;
-	   	     impactY=0;
-	   	}
-*/                                                    // Uzhi 20 July 2009
-//G4cout<<"          Interact"<<G4endl;
                 primarySplitable->SetStatus(1);        // It takes part in the interaction
 
@@ -130,8 +115,7 @@
 	   	if ( ! nucleon->AreYouHit() )
 	   	{
-//G4cout<<"Part "<<nucleon->Get4Momentum()<<G4endl;
 	   	    targetSplitable= new G4DiffractiveSplitableHadron(*nucleon);
 	   	    nucleon->Hit(targetSplitable);
-	   	    nucleon->SetBindingEnergy(3.*nucleon->GetBindingEnergy()); // Uzhi 5.10.09
+	   	    nucleon->SetBindingEnergy(3.*nucleon->GetBindingEnergy()); 
                     targetSplitable->SetStatus(1);     // It takes part in the interaction
 	   	}
@@ -142,11 +126,10 @@
 		theInteractions.push_back(aInteraction);
 	   }
-NucleonNumber++; // Uzhi
 	}    
-// // Uzhi
+
 //	G4cout << "Number of Hit nucleons " << theInteractions.size()<<G4endl; //  entries() 
 //		<< "\t" << impactX/fermi << "\t"<<impactY/fermi
 //		<< "\t" << std::sqrt(sqr(impactX)+sqr(impactY))/fermi <<G4endl;
-// // Uzhi
+
     }
    
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/include/G4ExcitedStringDecay.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/include/G4ExcitedStringDecay.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/include/G4ExcitedStringDecay.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ExcitedStringDecay.hh,v 1.10 2009/10/05 12:52:48 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #ifndef G4ExcitedStringDecay_h
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/include/G4FragmentingString.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/include/G4FragmentingString.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/include/G4FragmentingString.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FragmentingString.hh,v 1.4 2007/12/20 15:38:06 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/include/G4HadronBuilder.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/include/G4HadronBuilder.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/include/G4HadronBuilder.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HadronBuilder.hh,v 1.5 2009/05/18 09:43:40 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -----------------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/include/G4LundStringFragmentation.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/include/G4LundStringFragmentation.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/include/G4LundStringFragmentation.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LundStringFragmentation.hh,v 1.6 2008/04/25 14:20:14 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $ Maxim Komogorov
+// GEANT4 tag $Name: geant4-09-03 $ Maxim Komogorov
 //
 // -----------------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/include/G4QGSMFragmentation.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/include/G4QGSMFragmentation.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/include/G4QGSMFragmentation.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QGSMFragmentation.hh,v 1.5 2007/12/20 15:38:07 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -----------------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/include/G4VKinkyStringDecay.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/include/G4VKinkyStringDecay.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/include/G4VKinkyStringDecay.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VKinkyStringDecay.hh,v 1.3 2006/06/29 20:54:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //  Maxim Komogorov
 //
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/include/G4VLongitudinalStringDecay.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/include/G4VLongitudinalStringDecay.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/include/G4VLongitudinalStringDecay.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VLongitudinalStringDecay.hh,v 1.7 2009/05/22 16:35:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 // Maxim Komogorov
 //
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4HadronBuilder.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4HadronBuilder.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4HadronBuilder.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HadronBuilder.cc,v 1.10 2009/05/22 16:34:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -----------------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4LundStringFragmentation.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4LundStringFragmentation.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4LundStringFragmentation.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4LundStringFragmentation.cc,v 1.18 2009/10/05 12:52:48 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $ 1.8
+// GEANT4 tag $Name: geant4-09-03 $ 1.8
 //
 // -----------------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4QGSMFragmentation.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4QGSMFragmentation.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4QGSMFragmentation.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QGSMFragmentation.cc,v 1.9 2008/06/23 08:35:55 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -----------------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4VKinkyStringDecay.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4VKinkyStringDecay.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4VKinkyStringDecay.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VKinkyStringDecay.cc,v 1.4 2008/04/25 14:20:14 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //  Maxim Komogorov
 //
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4VLongitudinalStringDecay.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4VLongitudinalStringDecay.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4VLongitudinalStringDecay.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VLongitudinalStringDecay.cc,v 1.18 2009/08/03 13:21:25 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // -----------------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/parton_string/management/include/G4EventGenerator.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/include/G4EventGenerator.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/management/include/G4EventGenerator.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EventGenerator.hh,v 1.3 2006/06/29 20:55:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #ifndef G4EventGenerator_h
Index: trunk/source/processes/hadronic/models/parton_string/management/include/G4InteractionCode.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/include/G4InteractionCode.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/management/include/G4InteractionCode.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4InteractionCode.hh,v 1.3 2006/06/29 20:55:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #ifndef G4InteractionCode_h
Index: trunk/source/processes/hadronic/models/parton_string/management/include/G4InteractionContent.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/include/G4InteractionContent.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/management/include/G4InteractionContent.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4InteractionContent.hh,v 1.5 2009/07/17 12:36:41 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/models/parton_string/management/include/G4PomeronCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/include/G4PomeronCrossSection.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/management/include/G4PomeronCrossSection.hh	(revision 1228)
@@ -28,5 +28,5 @@
 //
 // $Id: G4PomeronCrossSection.hh,v 1.3 2006/06/29 20:55:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G4Proton.hh"
Index: trunk/source/processes/hadronic/models/parton_string/management/include/G4StringModel.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/include/G4StringModel.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/management/include/G4StringModel.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StringModel.hh,v 1.3 2006/06/29 20:55:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #ifndef G4StringModel_h
Index: trunk/source/processes/hadronic/models/parton_string/management/include/G4VParticipants.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/include/G4VParticipants.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/management/include/G4VParticipants.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VParticipants.hh,v 1.6 2009/11/19 14:23:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/models/parton_string/management/include/G4VPartonStringModel.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/include/G4VPartonStringModel.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/management/include/G4VPartonStringModel.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPartonStringModel.hh,v 1.3 2006/06/29 20:55:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #ifndef G4VPartonStringModel_h
Index: trunk/source/processes/hadronic/models/parton_string/management/include/G4VSplitableHadron.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/include/G4VSplitableHadron.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/management/include/G4VSplitableHadron.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VSplitableHadron.hh,v 1.6 2009/07/17 12:36:41 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/models/parton_string/management/include/G4VStringFragmentation.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/include/G4VStringFragmentation.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/management/include/G4VStringFragmentation.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VStringFragmentation.hh,v 1.3 2006/06/29 20:55:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #ifndef G4VStringFragmentation_h
Index: trunk/source/processes/hadronic/models/parton_string/management/include/G4VertexCode.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/include/G4VertexCode.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/management/include/G4VertexCode.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VertexCode.hh,v 1.3 2006/06/29 20:55:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #ifndef G4VertexCode_h
Index: trunk/source/processes/hadronic/models/parton_string/management/src/G4EventGenerator.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/src/G4EventGenerator.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/management/src/G4EventGenerator.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EventGenerator.cc,v 1.4 2006/06/29 20:55:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4EventGenerator
Index: trunk/source/processes/hadronic/models/parton_string/management/src/G4InteractionContent.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/src/G4InteractionContent.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/management/src/G4InteractionContent.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4InteractionContent.cc,v 1.4 2006/06/29 20:55:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/parton_string/management/src/G4PomeronCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/src/G4PomeronCrossSection.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/management/src/G4PomeronCrossSection.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PomeronCrossSection.cc,v 1.6 2006/11/07 12:51:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/models/parton_string/management/src/G4StringModel.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/src/G4StringModel.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/management/src/G4StringModel.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StringModel.cc,v 1.4 2006/06/29 20:55:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4StringModel
Index: trunk/source/processes/hadronic/models/parton_string/management/src/G4VParticipants.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/src/G4VParticipants.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/management/src/G4VParticipants.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VParticipants.cc,v 1.3 2006/06/29 20:55:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/parton_string/management/src/G4VPartonStringModel.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/src/G4VPartonStringModel.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/management/src/G4VPartonStringModel.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPartonStringModel.cc,v 1.6 2009/10/05 12:52:48 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //// ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/parton_string/management/src/G4VSplitableHadron.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/src/G4VSplitableHadron.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/management/src/G4VSplitableHadron.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VSplitableHadron.cc,v 1.7 2009/07/17 12:36:41 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/processes/hadronic/models/parton_string/management/src/G4VStringFragmentation.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/src/G4VStringFragmentation.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/parton_string/management/src/G4VStringFragmentation.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VStringFragmentation.cc,v 1.4 2006/06/29 20:55:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4VStringFragmentation
Index: trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/History
===================================================================
--- trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/History	(revision 1227)
+++ trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/History	(revision 1228)
@@ -1,3 +1,3 @@
-$Id: History,v 1.8 2009/02/06 08:58:20 vnivanch Exp $
+$Id: History,v 1.10 2009/11/20 19:37:15 vnivanch Exp $
 -------------------------------------------------------------------
 
@@ -15,4 +15,12 @@
      * Please list in reverse chronological order (last date on top)
      ---------------------------------------------------------------
+
+20 Nov 2009 V.Ivantchenko (hadr-munuclear-V09-02-03)
+----------------------------------------------------
+- Cleanup
+
+04 Mar 2009 V.Ivantchenko (hadr-munuclear-V09-02-02)
+----------------------------------------------------
+- move constructors, destructors and virtual methods to source
 
 06 Feb 2009 V.Ivantchenko (hadr-munuclear-V09-02-01)
Index: trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/include/G4LeptonHadronProcess.hh
===================================================================
--- trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/include/G4LeptonHadronProcess.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/include/G4LeptonHadronProcess.hh	(revision 1228)
@@ -45,17 +45,8 @@
 
       G4LeptonHadronProcess(const G4String &processName = "LeptonHadron");
-      ~G4LeptonHadronProcess();
+      virtual ~G4LeptonHadronProcess();
 
-      G4VParticleChange *PostStepDoIt( const G4Track &leptonTrack,
-                                       const G4Step &aStep )
-      {
-        return G4LeptonHadronProcess::GeneralPostStepDoIt(leptonTrack, aStep);
-      }
-
-      G4VParticleChange *GeneralPostStepDoIt( const G4Track &leptonTrack,
-                                              const G4Step &aStep );
-
-      virtual G4LeptonHadronInteractionModel *chooseInteractionModel() = 0;
-
+      virtual G4VParticleChange *PostStepDoIt( const G4Track &leptonTrack,
+					       const G4Step &aStep );
 
     protected:
